org.apache.lucene.store

## Class LockStressTest

- java.lang.Object
- - org.apache.lucene.store.LockStressTest

-     public class LockStressTest
      extends Object

  Simple standalone tool that forever acquires & releases a lock using a specific LockFactory. Run without any args to see usage.
  See Also:
    `VerifyingLockFactory`, `LockVerifyServer`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LockStressTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LockStressTest

          public LockStressTest()

  - ### Method Detail

    - #### main

          public static void main(String[] args)
                           throws Exception

      Throws:
        `Exception`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.